<template>
  <card class="wel-admin-hello">
    <h1>您好，{{userInfo.real_name}}</h1>
    <span>待办提醒：</span>
    <span>
      报名截止任务数
      <i>{{form.employEndCount}}</i>
    </span>
    <span>
      待发工资人数
      <i>{{form.noPayCount}}</i>
    </span>
    <span>
      待开票数
      <i>{{form.noBillCount}}</i>
    </span>
  </card>
</template>

<script>
import card from "./card";
import { reminder } from "@/api/manage/wel";
import { mapGetters } from "vuex";

export default {
  components: { card },
  data() {
    return {
      form: {}
    };
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData() {
      reminder().then(resp => {
        this.form = resp.data;
      });
    }
  },
  computed: {
    ...mapGetters(["userInfo"])
  }
};
</script>

<style>
.wel-admin-hello {
  height: 160px;
  padding-left: 30px;
}
.wel-admin-hello h1 {
  font-size: 24px;
  margin: 14px 0 26px 0;
}
.wel-admin-hello span {
  font-size: 20px;
  font-weight: bold;
  display: inline-block;
  line-height: 18px;
  margin-right: 20px;
}
.wel-admin-hello i {
  font-style: normal;
  color: #5d9df8;
}
</style>